Skip to main content
POST
/
billing_groups
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const billingGroup = await client.billingGroups.create({ name: 'string' });

console.log(billingGroup.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
billing_group = client.billing_groups.create(
name="string",
)
print(billing_group.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
billingGroup, err := client.BillingGroups.New(context.TODO(), telnyx.BillingGroupNewParams{
Name: telnyx.String("string"),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", billingGroup.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.billinggroups.BillingGroupCreateParams;
import com.telnyx.sdk.models.billinggroups.BillingGroupCreateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

BillingGroupCreateResponse billingGroup = client.billingGroups().create();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

billing_group = telnyx.billing_groups.create

puts(billing_group)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$billingGroup = $client->billingGroups->create(name: 'string');

var_dump($billingGroup);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx billing-groups create \
--api-key 'My API Key'
curl --request POST \
--url https://api.telnyx.com/v2/billing_groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "string"
}
'
{
  "data": {
    "record_type": "billing_group",
    "id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
    "organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
    "name": "My billing group name",
    "created_at": "2019-10-15T10:07:15.527Z",
    "updated_at": "2019-10-15T10:07:15.527Z",
    "deleted_at": null
  }
}
{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string

A name for the billing group

Response

Expected billing group response to a valid request

data
object
Example:
{
"record_type": "billing_group",
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My billing group name",
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z",
"deleted_at": null
}